## libkf5gravatar 23.08.1

=== debian/changelog ===
libkf5gravatar (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:05:23 +0100
